## pytorch-sparse 0.6.16

=== debian/changelog ===
pytorch-sparse (0.6.16-2) unstable; urgency=medium

  * Set upstream metadata fields: Repository.

 -- Andrius Merkys <merkys@debian.org>  Wed, 08 Mar 2023 07:12:56 -0500

pytorch-sparse (0.6.16-1) unstable; urgency=medium

  * Initial release. (Closes: #1031265)

 -- Andrius Merkys <merkys@debian.org>  Wed, 15 Feb 2023 02:07:46 -0500
