=== debian/control ===
Source: pytorch-sparse
Section: science
Priority: optional
Maintainer: Debian Deep Learning Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders:
 Andrius Merkys <merkys@debian.org>,
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 libparallel-hashmap-dev,
 libtorch-dev,
 pybind11-dev,
 python3-all,
 python3-pytest <!nocheck>,
 python3-scipy <!nocheck>,
 python3-setuptools,
 python3-torch,
 python3-torch-scatter <!nocheck>,
Testsuite: autopkgtest-pkg-pybuild
Standards-Version: 4.6.2
Homepage: https://github.com/rusty1s/pytorch_sparse
Vcs-Browser: https://salsa.debian.org/deeplearning-team/pytorch-sparse
Vcs-Git: https://salsa.debian.org/deeplearning-team/pytorch-sparse.git

Package: python3-torch-sparse
Architecture: any
Depends:
 python3-torch-scatter,
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Description: PyTorch Extension Library of Optimized Autograd Sparse Matrix Operations
 This package consists of a small extension library of optimized sparse matrix
 operations with autograd support.
 .
 This package installs the library for Python 3.
