=== debian/watch ===
version=4
https://pypi.debian.net/torch_sparse/torch_sparse-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
