## pytorch-sparse 0.6.18

=== debian/changelog ===
pytorch-sparse (0.6.18-3) unstable; urgency=medium

  * Team upload.
  * d/patches: backport upstream patch to replace c10::optional with
    std::optional.
  * d/control: bump std-ver to 4.7.1 (no changes required).
  * d/rules: make dh_auto_clean more robust.
  * Rebuild for libtorch2.6 transition.

 -- Shengqi Chen <harry@debian.org>  Mon, 24 Feb 2025 00:09:10 +0800

pytorch-sparse (0.6.18-2) unstable; urgency=medium

  * Build only on default Python (Closes: #1058208)

 -- Andrius Merkys <merkys@debian.org>  Thu, 14 Dec 2023 02:10:34 -0500

pytorch-sparse (0.6.18-1) unstable; urgency=medium

  * New upstream version 0.6.18

 -- Andrius Merkys <merkys@debian.org>  Mon, 09 Oct 2023 01:48:12 -0400

pytorch-sparse (0.6.17-1) unstable; urgency=medium

  * New upstream version 0.6.17
  * Watch GitHub tags.

 -- Andrius Merkys <merkys@debian.org>  Sat, 09 Sep 2023 01:24:06 -0400
