=== debian/control ===
--- 
+++ 
@@ -11,14 +11,14 @@
  libparallel-hashmap-dev,
  libtorch-dev,
  pybind11-dev,
- python3-all,
+ python3,
  python3-pytest <!nocheck>,
  python3-scipy <!nocheck>,
  python3-setuptools,
  python3-torch,
  python3-torch-scatter <!nocheck>,
 Testsuite: autopkgtest-pkg-pybuild
-Standards-Version: 4.6.2
+Standards-Version: 4.7.1
 Homepage: https://github.com/rusty1s/pytorch_sparse
 Vcs-Browser: https://salsa.debian.org/deeplearning-team/pytorch-sparse
 Vcs-Git: https://salsa.debian.org/deeplearning-team/pytorch-sparse.git
